Get a receivable's history record by ID

Returns a single record from the change history of the specified accounts receivable document.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_history_idstringRequired

ID of the history record to return. You can get these IDs from GET /receivables/{receivable_id}/history.

receivable_idstringRequired
ID of the accounts receivable document whose history you want to get.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID of the history record.
event_dataobject

An object containing additional information about the event or change. The object structure varies based on the event_type. In receivable_created and receivable_updated events, event_data is an empty object {}.

event_typeenum

The type of the event or change. See Event types.

receivable_idstringformat: "uuid"
ID of the receivable document that was changed or triggered an event.
timestampdatetime
UTC date and time when the event or change occurred.
current_pdf_urlstringformat: "uri"1-65536 characters
A URL of the PDF file that shows the document state after the change. Available only for the following event types: `receivable_created`, `receivable_updated`, `status_changed`, and `payment_received`. In other event types the `current_pdf_url` value is `null`. In `payment_received` events, the `current_pdf_url` value is available only in case of full payments and only if the entity setting `generate_paid_invoice_pdf` is `true`. Note that Monite generates PDFs asynchronously. This means that the initial value of `current_pdf_url` for the abovementioned events right after they occurred is usually `null` and the value gets populated later after the PDF document has been generated.
entity_user_idstringformat: "uuid"

ID of the entity user who made the change or trigger the event, or null if it was done by using a partner access token.

Errors

400
Get Receivables ID History ID Request Bad Request Error
401
Get Receivables ID History ID Request Unauthorized Error
403
Get Receivables ID History ID Request Forbidden Error
404
Get Receivables ID History ID Request Not Found Error
422
Get Receivables ID History ID Request Unprocessable Entity Error
500
Get Receivables ID History ID Request Internal Server Error